perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michiel Beijen <michiel.bei...@otrs.com>
Subject Re: experiencing Out of memory errors
Date Thu, 27 Jan 2011 11:57:35 GMT
Hi John,

On Wed, 2011-01-26 at 10:17 -0500, John Deighan wrote:
> However, we're also not sure if either of these are needed to escape the
> 2 GB memory limitation. E.g., can 64 bit Perl be used with a 32 bit
> Apache and/or mod_perl?

You should use the same architecture for Perl and Apache.

> Any help with accomplishing what we need would be greatly appreciated,
> including the possibility of hiring someone on a contract basis to
> help us.

Probably because of the fact that the Apache foundation does not ship
64-bit builds for Windows (which is a shame!), ActiveState does not ship
a mod_perl with their 64- bit Perl. Compiling your own mod_perl would be
possible but you need to use preferably the same compiler that was used
for Apache + perl.

If you would want to switch to StrawberryPerl 5.12.x 64-bit, you can use
this pre-compiled mod_perl:
http://strawberryperl.com/package/kmx/mod_perl/

--
Mike


Mime
View raw message